Bug 1400343 (CVE-2016-8657)

Summary: CVE-2016-8657 jboss: jbossas writable config files allow privilege escalation
Product: [Other] Security Response Reporter: Bharti Kundal <bkundal>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: asoldano, bbaranow, bmaxwell, brian.stansberry, cdewolf, chazlett, csutherl, dandread, darran.lofthouse, dimitris, dosoudil, dwalluck, fnasser, huwang, iweiss, jawilson, jboss-set, jkurik, jperkins, jshepherd, krathod, kwills, lgao, msochure, msvehla, myarboro, nwallace, pcheung, pgier, pmackay, psakar, pslavice, psotirop, rguimara, rnetuka, rsvoboda, smaestri, tom.jenkinson, twalsh, vtunka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was discovered that EAP packages in certain versions of Red Hat Enterprise Linux use incorrect permissions for /etc/sysconfig/jbossas configuration files. The file is writable to jboss group (root:jboss, 664). On systems using classic /etc/init.d init scripts (i.e. on Red Hat Enterprise Linux 6 and earlier), the file is sourced by the jboss init script and its content executed with root privileges when jboss service is started, stopped, or restarted.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:04:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1402969, 1402970, 1402971    
Bug Blocks: 1399004, 1428993    

Description Bharti Kundal 2016-11-30 23:16:13 UTC
It was discovered that EAP packages in certain versions of Red Hat Enterprise Linux use incorrect permissions for /etc/sysconfig/jbossas configuration files.  The file is writable to jboss group (root:jboss, 664).  On systems using classic /etc/init.d init scripts (i.e. on Red Hat Enterprise Linux 6 and earlier), the file is sourced by the jbossas init script and its content executed with root privileges when jbossas service is started, stopped or restarted.

Comment 12 errata-xmlrpc 2017-03-14 17:33:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4.14 

Via RHSA-2017:0517 https://rhn.redhat.com/errata/RHSA-2017-0517.html

Comment 13 errata-xmlrpc 2017-03-22 16:49:58 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2017:0828 https://rhn.redhat.com/errata/RHSA-2017-0828.html

Comment 14 errata-xmlrpc 2017-03-22 16:51:14 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2017:0827 https://rhn.redhat.com/errata/RHSA-2017-0827.html

Comment 15 errata-xmlrpc 2017-03-22 16:52:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 5

Via RHSA-2017:0826 https://rhn.redhat.com/errata/RHSA-2017-0826.html

Comment 16 errata-xmlrpc 2017-03-22 17:12:20 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2017:0829 https://rhn.redhat.com/errata/RHSA-2017-0829.html

Comment 19 Bharti Kundal 2017-07-31 07:16:47 UTC
Statement:

It was found that a variant of the Tomcat CVE-2016-6325 exploit is also applicable to Red Hat JBoss Enterprise Application Platform 5 and 6. CVE-2016-8567 addresses these problems with JBoss EAP. The complexity is high as EAP has many files and configuration options. The issue is now corrected in JBoss Enterprise Application Platform EAP 6.4.14. For further information please refer https://access.redhat.com/articles/3016681

Comment 20 errata-xmlrpc 2018-05-17 18:26:50 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 5 for RHEL 5
  Red Hat JBoss Enterprise Application Platform 5 for RHEL 6

Via RHSA-2018:1609 https://access.redhat.com/errata/RHSA-2018:1609

Comment 21 Product Security DevOps Team 2019-07-12 13:04:23 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2016-8657